Skip to main content
GET
/
workspaces
/
{workspace_id}
/
workflow-executions
/
{execution_id}
/
compact
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "run_id": "<string>",
  "start_time": "2023-11-07T05:31:56Z",
  "workflow_type": "<string>",
  "task_queue": "<string>",
  "history_length": 123,
  "events": [
    {
      "source_event_id": 123,
      "schedule_time": "2023-11-07T05:31:56Z",
      "action_name": "<string>",
      "action_ref": "<string>",
      "start_time": "2023-11-07T05:31:56Z",
      "close_time": "2023-11-07T05:31:56Z",
      "action_input": "<unknown>",
      "action_result": {
        "output": "<unknown>",
        "duration": 123,
        "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "message_history": [
          {
            "id": "<string>",
            "kind": "chat-message",
            "message": "<unknown>",
            "approval": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "tool_call_id": "<string>",
              "tool_name": "<string>",
              "created_at": "2023-11-07T05:31:56Z",
              "tool_call_args": {},
              "reason": "<string>",
              "decision": true,
              "approved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "approved_at": "2023-11-07T05:31:56Z"
            },
            "compaction": {},
            "cancelled": {}
          }
        ],
        "usage": {
          "requests": 0,
          "tool_calls": 0,
          "input_tokens": 0,
          "output_tokens": 0
        }
      },
      "action_error": {
        "message": "<string>",
        "cause": {},
        "root_cause_message": "<string>"
      },
      "stream_id": "<root>:0",
      "child_wf_exec_id": "<string>",
      "child_wf_count": 0,
      "loop_index": 123,
      "while_iteration": 123,
      "while_continue": true,
      "session": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "events": [
          "<unknown>"
        ]
      }
    }
  ],
  "execution_time": "2023-11-07T05:31:56Z",
  "close_time": "2023-11-07T05:31:56Z",
  "parent_wf_exec_id": "<string>",
  "execution_type": "published",
  "interactions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "request_payload": {},
      "response_payload": {},
      "wf_exec_id": "<string>",
      "actor": "<string>",
      "action_ref": "<string>",
      "action_type": "<string>",
      "expires_at": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required
execution_id
string
required

Response

Successful Response

id
string
required

The ID of the workflow execution

run_id
string
required

The run ID of the workflow execution

start_time
string<date-time>
required

The start time of the workflow execution

status
enum<string>
required
Available options:
RUNNING,
COMPLETED,
FAILED,
CANCELED,
TERMINATED,
CONTINUED_AS_NEW,
TIMED_OUT
workflow_type
string
required
task_queue
string
required
history_length
integer
required

Number of events in the history

trigger_type
enum<string>
required

Trigger type for a workflow execution.

Available options:
manual,
scheduled,
webhook,
case
events
WorkflowExecutionEventCompact[Any, Union[AgentOutput, Any], Any] · object[]
required

Compact events in the workflow execution

execution_time
string<date-time> | null

When this workflow run started or should start.

close_time
string<date-time> | null

When the workflow was closed if closed.

parent_wf_exec_id
string | null
Pattern: (wf-[0-9a-f]{32}|wf_[0-9a-zA-Z]+)[:/]((exec_[0-9a-zA-Z]+|exec-[\w-]+|(?:sch-[0-9a-f]{32}|[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})-.*))
execution_type
enum<string>
default:published

Execution type (draft or published). Draft uses the draft workflow graph.

Available options:
draft,
published
interactions
InteractionRead · object[]

The interactions in the workflow execution